[jboss-cvs] JBossAS SVN: r85864 - in projects/jboss-osgi/trunk/build: distribution/src/main/resources/installer and 5 other directories.

jboss-cvs-commits at lists.jboss.org jboss-cvs-commits at lists.jboss.org
Sun Mar 15 15:49:18 EDT 2009


Author: thomas.diesler at jboss.com
Date: 2009-03-15 15:49:17 -0400 (Sun, 15 Mar 2009)
New Revision: 85864

Removed:
   projects/jboss-osgi/trunk/build/hudson/hudson-home/jobs/Embedded-JDK1.5/
   projects/jboss-osgi/trunk/build/hudson/hudson-home/jobs/Embedded-JDK1.6/
   projects/jboss-osgi/trunk/build/hudson/hudson-home/jobs/Embedded-Matrix/
Modified:
   projects/jboss-osgi/trunk/build/distribution/scripts/antrun-installer.xml
   projects/jboss-osgi/trunk/build/distribution/src/main/resources/installer/auto-install-template.xml
   projects/jboss-osgi/trunk/build/hudson/build.xml
   projects/jboss-osgi/trunk/build/hudson/hudson-home/command.sh
   projects/jboss-osgi/trunk/build/hudson/hudson-home/jobs/Container-Matrix/config.xml
   projects/jboss-osgi/trunk/build/hudson/jboss/bin/http-spider.sh
Log:
Integrate distributed Runtime in Hudson QA

Modified: projects/jboss-osgi/trunk/build/distribution/scripts/antrun-installer.xml
===================================================================
--- projects/jboss-osgi/trunk/build/distribution/scripts/antrun-installer.xml	2009-03-15 19:44:02 UTC (rev 85863)
+++ projects/jboss-osgi/trunk/build/distribution/scripts/antrun-installer.xml	2009-03-15 19:49:17 UTC (rev 85864)
@@ -22,8 +22,7 @@
   <property name="deploy.artifacts.dir" value="${output.dir}/deploy-artifacts" />
   <property name="deploy.artifacts.lib" value="${deploy.artifacts.dir}/lib" />
   <property name="deploy.artifacts.resources" value="${deploy.artifacts.dir}/resources" />
-  <property name="jboss.runtime.version" value="jboss-osgi-runtime-${product.version}" />
-  <property name="jboss.runtime.dir" value="${output.dir}/${jboss.runtime.version}" />
+  <property name="jboss.runtime.dir" value="${output.dir}/jboss-osgi-runtime-${product.version}" />
 
   <!-- ================================================================== -->
   <!-- Initialization                                                     -->
@@ -35,14 +34,20 @@
   <!-- ================================================================== -->
   <target name="build-installer" depends="init">
 
+    <!-- Unselect JBossOSGi Integration pack if ${target.container} == 'runtime' -->
+    <condition property="jboss.integration" value="false" else="true">
+      <equals arg1="${target.container}" arg2="runtime"/>
+    </condition>
+    
   	<!-- Filter the installer scripts -->
     <copy todir="${filtered.resources.dir}" filtering="true" overwrite="true">
       <fileset dir="${resources.dir}/installer" />
       <filterset>
         <filter token="jboss.home" value="${jboss.home}" />
+        <filter token="jboss.integration" value="${jboss.integration}" />
         <filter token="product.version" value="${product.version}" />
         <filter token="target.container" value="${target.container}" />
-        <filter token="installpath" value="${output.dir}/jboss-osgi-${product.version}" />
+        <filter token="installpath" value="${output.dir}/auto-install-dest/jboss-osgi-${product.version}" />
       </filterset>
     </copy>
   	

Modified: projects/jboss-osgi/trunk/build/distribution/src/main/resources/installer/auto-install-template.xml
===================================================================
--- projects/jboss-osgi/trunk/build/distribution/src/main/resources/installer/auto-install-template.xml	2009-03-15 19:44:02 UTC (rev 85863)
+++ projects/jboss-osgi/trunk/build/distribution/src/main/resources/installer/auto-install-template.xml	2009-03-15 19:49:17 UTC (rev 85864)
@@ -4,7 +4,8 @@
     <installpath>@installpath@</installpath>
   </com.izforge.izpack.panels.TargetPanel>
   <com.izforge.izpack.panels.TreePacksPanel>
-    <pack name="JBossOSGi Integration" index="0" selected="true" />
+    <pack name="JBossOSGi Distribution" index="0" selected="true" />
+    <pack name="JBossOSGi Integration" index="1" selected="@jboss.integration@" />
   </com.izforge.izpack.panels.TreePacksPanel>
   <com.izforge.izpack.panels.UserInputPanel>
     <userInput>

Modified: projects/jboss-osgi/trunk/build/hudson/build.xml
===================================================================
--- projects/jboss-osgi/trunk/build/hudson/build.xml	2009-03-15 19:44:02 UTC (rev 85863)
+++ projects/jboss-osgi/trunk/build/hudson/build.xml	2009-03-15 19:49:17 UTC (rev 85864)
@@ -25,7 +25,6 @@
        <copyjob prefix="${hudson.job.prefix}-" job="Container-Matrix"/>
        <copyjob prefix="${hudson.job.prefix}-" job="Container-JDK1.5"/>
        <copyjob prefix="${hudson.job.prefix}-" job="Container-JDK1.6"/>
-       <copyjob prefix="${hudson.job.prefix}-" job="Embedded-Matrix"/>
        <copyjob prefix="" job="JBoss-5.1.0"/>
        <copyjob prefix="" job="JBoss-6.0.0"/>
      </sequential>

Modified: projects/jboss-osgi/trunk/build/hudson/hudson-home/command.sh
===================================================================
--- projects/jboss-osgi/trunk/build/hudson/hudson-home/command.sh	2009-03-15 19:44:02 UTC (rev 85863)
+++ projects/jboss-osgi/trunk/build/hudson/hudson-home/command.sh	2009-03-15 19:49:17 UTC (rev 85864)
@@ -11,17 +11,6 @@
 DISTRODIR=$OSGIDIR/build/distribution/target
 HUDSONDIR=$OSGIDIR/build/hudson
 
-#
-# Build distro
-#
-cd $OSGIDIR
-MVN_CMD="mvn -U -Pdistro clean install"
-echo $MVN_CMD; $MVN_CMD; MVN_STATUS=$?
-if [ $MVN_STATUS -ne 0 ]; then
-  echo maven exit status $MVN_STATUS
-  exit 1
-fi
-
 case "$CONTAINER" in
   'jboss501')
     JBOSS_BUILD=jboss-5.0.1.GA
@@ -42,7 +31,7 @@
     rm -rf $JBOSS_HOME; unzip -q $JBOSS_ZIP -d $WORKSPACE  
   ;;
   'runtime')
-	JBOSS_HOME=$DISTRODIR/jboss-osgi-$VERSION/runtime
+	JBOSS_HOME=$DISTRODIR/auto-install-dest/jboss-osgi-$VERSION/runtime
   ;;
   *)
 	echo "Unsupported container: $CONTAINER"
@@ -50,22 +39,33 @@
   ;;
 esac
 
+ENVIRONMENT="-Dtarget.container=$CONTAINER -Djboss.home=$JBOSS_HOME -Djboss.bind.address=$JBOSS_BINDADDR"
+
 #
+# Build distro
+#
+cd $OSGIDIR
+MVN_CMD="mvn -U -Pdistro $ENVIRONMENT clean install"
+echo $MVN_CMD; $MVN_CMD; MVN_STATUS=$?
+if [ $MVN_STATUS -ne 0 ]; then
+  echo maven exit status $MVN_STATUS
+  exit 1
+fi
+
+#
 # Deploy distro
 #
 AUTO_INSTALL=$DISTRODIR/resources/auto-install-template.xml; cat $AUTO_INSTALL;
 JAVA_CMD="java -jar $DISTRODIR/jboss-osgi-installer-$VERSION.jar $AUTO_INSTALL"
 echo $JAVA_CMD; $JAVA_CMD 
 
-ENVIRONMENT="-Dtarget.container=$CONTAINER -Djboss.home=$JBOSS_HOME -Djboss.bind.address=$JBOSS_BINDADDR"
-
 #
 # start jbossas
 #
 $HUDSONDIR/jboss/bin/jboss.sh $JBOSS_HOME start $JBOSS_BINDADDR
 
 # Was it successfully started?
-$HUDSONDIR/jboss/bin/http-spider.sh $JBOSS_BINDADDR:8080 $WORKSPACE
+$HUDSONDIR/jboss/bin/http-spider.sh $JBOSS_BINDADDR:8090/jboss-osgi $WORKSPACE
 if [ -e $WORKSPACE/spider.failed ]; then
   tail -n 100 $JBOSS_HOME/server/$JBOSS_SERVER/log/server.log
   $HUDSONDIR/jboss/bin/jboss.sh $JBOSS_HOME stop $JBOSS_BINDADDR

Modified: projects/jboss-osgi/trunk/build/hudson/hudson-home/jobs/Container-Matrix/config.xml
===================================================================
--- projects/jboss-osgi/trunk/build/hudson/hudson-home/jobs/Container-Matrix/config.xml	2009-03-15 19:44:02 UTC (rev 85863)
+++ projects/jboss-osgi/trunk/build/hudson/hudson-home/jobs/Container-Matrix/config.xml	2009-03-15 19:49:17 UTC (rev 85864)
@@ -37,6 +37,7 @@
         <string>jboss501</string>
         <string>jboss510</string>
         <string>jboss600</string>
+        <string>runtime</string>
       </values>
     </axis>
     <axis>

Modified: projects/jboss-osgi/trunk/build/hudson/jboss/bin/http-spider.sh
===================================================================
--- projects/jboss-osgi/trunk/build/hudson/jboss/bin/http-spider.sh	2009-03-15 19:44:02 UTC (rev 85863)
+++ projects/jboss-osgi/trunk/build/hudson/jboss/bin/http-spider.sh	2009-03-15 19:49:17 UTC (rev 85864)
@@ -30,7 +30,7 @@
 if [ $? -eq 0 ]; then
 	COUNTER=0
 	while [  $COUNTER -lt $NUM_RETRIES ]; do
-		if wget --spider --timeout=$TIMEOUT --tries=1 $1 &> /dev/null; then
+		if wget --spider --timeout=$TIMEOUT --tries=1 --http-user=admin --http-password=admin $1 &> /dev/null; then
 			touch $2/spider.success
 			echo "Try $COUNTER: '$1' is available"	> ./spider.success
 			exit 0




More information about the jboss-cvs-commits mailing list